Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 590684 - [abrt] crash in cscope-15.6-8.fc12: Process /usr/bin/cscope was killed by signal 6 (SIGABRT)
Summary: [abrt] crash in cscope-15.6-8.fc12: Process /usr/bin/cscope was killed by sig...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: cscope
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Neil Horman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2a97a86b1950b9dc3325871e966...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-10 13:28 UTC by Jiri Pirko
Modified: 2015-05-05 01:19 UTC (History)
2 users (show)

Fixed In Version: cscope-15.7a-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 14:51:45 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (5.08 KB, text/plain)
2010-05-10 13:28 UTC, Jiri Pirko
no flags Details
patch to avoid using setjmp/longjmp in mygetch (1.18 KB, patch)
2010-05-10 16:17 UTC, Neil Horman
no flags Details | Diff

Description Jiri Pirko 2010-05-10 13:28:41 UTC
abrt 1.0.8 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: cscope -R -k -p4
component: cscope
executable: /usr/bin/cscope
kernel: 2.6.32.10-90.fc12.x86_64
package: cscope-15.6-8.fc12
rating: 4
reason: Process /usr/bin/cscope was killed by signal 6 (SIGABRT)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. run "cscope -R -k -p4" in dir containing any source code
2. press ctrl-\
3. enjoy the crash =]

Comment 1 Jiri Pirko 2010-05-10 13:28:43 UTC
Created attachment 412837 [details]
File: backtrace

Comment 2 Neil Horman 2010-05-10 15:22:05 UTC
Hey jiri, did you by any chance build the cscope.out database on a machine of a different arch than the one that you were using it on? x86_64 vs i686 perhaps?

Comment 3 Jiri Pirko 2010-05-10 15:31:37 UTC
Negative. I'm working on x86_64 and the error occurs everytime, doesn't matter if cscope.out is already there or if it's created atm.

Comment 4 Jiri Pirko 2010-05-10 15:34:08 UTC
Also, my colleague has F13 and it's the same there.

Comment 5 Neil Horman 2010-05-10 16:15:02 UTC
sorry, jiri, i got a slew of these and assumed they were all the same. But this is definately  different than the others .  This looks like we're tripping somewhere inside the ncurses library.  I'm running F-12 here and cscope isn't crashing for me.  Can you tell me what version of ncurses you and your colleague are running with, and provide the cscope database your using please?  also, if you could test the patch I'm about to attach out, that would be a big help.  I don't expect its a fix for the issue, but it will suggest if the use of setjmp/longjmp is related to this problem.  Thanks!

Comment 6 Neil Horman 2010-05-10 16:17:20 UTC
Created attachment 412892 [details]
patch to avoid using setjmp/longjmp in mygetch

Comment 7 Jiri Pirko 2010-05-10 17:09:55 UTC
ncurses-5.7-3.20090207.fc12.x86_64

going to test the patch

Comment 8 Jiri Pirko 2010-05-10 17:25:38 UTC
hmm, so with your patch applied, it end up the same:

[jirka@psychotron test]$ cscope
Aborted (core dumped)

But in this case it's not caught by ABRT - so something is different...

Comment 9 Neil Horman 2010-05-10 18:01:06 UTC
yeah, abrt won't catch it because the md5sum of the binary doesn't match what it expects, so it can't find the debuginfo package to go with it.  Thats nothing to worry about 

Ok, so this bug has nothing to do with the setjmp/longjmp use in mygetch, thats good to know.  I'm not quite sure how this could be related to the input database either, since this is on a code path where we take input from the user interface.  and yet, I'm unable to reproduce this on my F-12 system here, and I'm running the same ncurses library.  Jiri, do you think you could reproduce this on a system in beaker that that you could then point me to, so I can further debug it?

Or alternatively, if you can provide me as much detail as possible, I'll try to get it to reproduce on a system and resolve this.  Things of interest that might relate to the reproducer include:

1) the source tree being debugged at the time
2) options used to build the cscope.out file
3) information regarding the hardware/software the tty is attached to where you are running cscope (serial port, ssh session, screen session, vnc, etc)
4) Any special options you set out of defaults on the tty

Thanks!

Comment 10 Neil Horman 2010-05-10 20:02:46 UTC
sorry, I'm a fool.  I see the problem now.  ctrl-\ maps to SIGABRT, which causes the process to terminate on abort.  The only odditiy is that I don't think we should be unmasking SIGABRT, so we shouldn't fall over.  A straight build of the upstream sources ignores SIGABRT properly, so I'm not sure what the difference is.  Investigating...

Comment 11 Bug Zapper 2010-11-03 15:11:52 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Bug Zapper 2010-12-03 14:51:45 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.